{%- if appRoute != 'app_post' -%}
    {%- set title = post.title -%}
    {#{%- if title|length > 65 -%}#}
        {#{%- set title = title[:63] ~ '...' -%}#}
    {#{%- endif -%}#}
    <h2>
        <a href="{{- postUri -}}" title="{{- title -}}">{{- title -}}</a>
    </h2>
{%- else -%}
    {%- if post.strimi_metadata is defined and post.strimi_metadata.title is defined -%}
        {%- if post.strimi_metadata.type.type == 'link' -%}
            <h1>
                <a href="{{- post.strimi_metadata.source -}}" target="_blank" rel="nofollow">
                    {{- post.strimi_metadata.title -}}
                </a>
            </h1>
        {%- else -%}
            <h1 class="post-content">
                {{- post.strimi_metadata.title -}}
            </h1>
        {%- endif -%}
    {%- else -%}
        <h1 class="post-content">
            {{- post.title -}}
        </h1>
    {%- endif -%}
{%- endif -%}